-- 修改默认的root用户密码
ALTER USER 'root'@'localhost' IDENTIFIED BY 'MYSQL_ROOT_PASSWORD';

-- 允许root远程登录
GRANT ALL PRIVILEGES ON *.* TO root@'%' IDENTIFIED BY 'MYSQL_ROOT_PASSWORD' WITH GRANT OPTION;

-- 刷新权限
FLUSH PRIVILEGES;

-- 创建redis_manager库
CREATE DATABASE `redis_manager` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;

-- 创建cloudeon库
CREATE DATABASE cloudeon CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;

-- 创建dolphinscheduler库
CREATE DATABASE dolphinscheduler CHARACTER SET utf8 COLLATE utf8_general_ci;

-- 创建nacos库
CREATE DATABASE nacos CHARACTER SET utf8 COLLATE utf8_general_ci;
