#!/usr/bin/env bash

# 脚本所在位置
sh_dir=$(cd "$(dirname "${BASH_SOURCE[0]}")" &> /dev/null && pwd)
cd $sh_dir
source ./base.sh

# k8s镜像
for tar_file in $K8S_DOCKER_IMAGES_DIR/*.tar; do
   sudo ctr -n k8s.io images import $tar_file &
done

# 应用镜像
for tar_file in $APP_DOCKER_IMAGES_DIR/non-master/*.tar; do
   sudo ctr -n k8s.io images import $tar_file &
done

# 等待所有镜像加载完毕
wait